Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.im
Class WrongTierException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.ord.im.OrdJboException
oracle.ord.im.WrongTierException`

All Implemented Interfaces:
  oracle.jbo.common.JboMessage, oracle.jbo.common.MetaObjectBase, java.io.Serializable

public class WrongTierException
extends OrdJboException

Indicates a domain method that is not supported on a specific tier has been invoked. Some domain methods are not supported on the client tier in a multi-tier deployment environment. For example:

- `OrdImageDomain` : `getContent, getBFILE`.
- `OrdAudioDomain` : `getContent, getBFILE, getComments, setComments, getAllAttributes, getContentInLob`.
- `OrdVideoDomain` : `getContent, getBFILE, getComments, setComments, getAllAttributes, getContentInLob`.
- `OrdDocDomain` : `getContent, getBFILE, getComments, setComments, getContentInLob`.

When one of these methods is invoked on a tier that it should not run on, this exception will be thrown. Check the local mode only tag in the Javadoc comment for these methods.

Since:
  JDev5.0
See Also:
  Serialized Form

Field Summary

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`WrongTierException(java.lang.String methodName, java.lang.String tier)` Constructs a `WrongTierException` instance.

Methods inherited from class oracle.ord.im.OrdJboException
`getProductCode, getResourceName`

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, doEntityToVOMapping, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getResourceClass, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongTierException

    public WrongTierException(java.lang.String methodName,
                              java.lang.String tier)

  Constructs a `WrongTierException` instance.
Parameters:
  `methodName` - the method name
  `tier` - the tier name: `"Client Tier"` or `"Middle Tier"`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.